Show / Hide Table of Contents

# Class CannotRuntimeDisableException

Indicates that a plugin cannot be disabled at runtime. Generally not considered an error, however.

##### Inheritance

Object
Exception
CannotRuntimeDisableException

##### Implements

ISerializable
_Exception

##### Inherited Members

Exception.GetBaseException()
Exception.ToString()
Exception.GetObjectData(SerializationInfo, StreamingContext)
Exception.GetType()
Exception.Message
Exception.Data
Exception.InnerException
Exception.TargetSite
Exception.StackTrace
Exception.HelpLink
Exception.Source
Exception.HResult
Exception.SerializeObjectState
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.MemberwiseClone()

###### Namespace: IPA.Loader

###### Assembly: IPA.Loader.dll

##### Syntax

    [Serializable]
    public class CannotRuntimeDisableException : Exception, ISerializable, _Exception

### Constructors

| Improve this Doc View Source

#### CannotRuntimeDisableException(PluginMetadata)

Creates an exception for the given plugin metadata.

##### Declaration

    public CannotRuntimeDisableException(PluginMetadata plugin)

##### Parameters

Type | Name | Description
--- | --- | ---
PluginMetadata | plugin | the plugin that cannot be disabled

| Improve this Doc View Source

#### CannotRuntimeDisableException(PluginMetadata, String)

Creats an exception with the given plugin metadata and message information.

##### Declaration

    public CannotRuntimeDisableException(PluginMetadata plugin, string message)

##### Parameters

Type | Name | Description
--- | --- | ---
PluginMetadata | plugin | the plugin that cannot be disabled
String | message | the message to associate with it

| Improve this Doc View Source

#### CannotRuntimeDisableException(SerializationInfo, StreamingContext)

Creates an exception from a serialization context. Not currently implemented.

##### Declaration

    protected CannotRuntimeDisableException(SerializationInfo serializationInfo, StreamingContext streamingContext)

##### Parameters

Type | Name | Description
--- | --- | ---
SerializationInfo | serializationInfo |
StreamingContext | streamingContext |

##### Exceptions

Type | Condition
--- | ---
NotImplementedException |

### Properties

| Improve this Doc View Source

#### Plugin

The plugin that cannot be disabled at runtime.

##### Declaration

    public PluginMetadata Plugin { get; }

##### Property Value

Type | Description
--- | ---
PluginMetadata |

### Implements

System.Runtime.Serialization.ISerializable
System.Runtime.InteropServices._Exception

### Extension Methods

ReflectionUtil.SetField<T, U>(T, String, U)
ReflectionUtil.GetField<U, T>(T, String)
ReflectionUtil.SetProperty<T, U>(T, String, U)
ReflectionUtil.GetProperty<U, T>(T, String)
ReflectionUtil.InvokeMethod<U, T>(T, String, Object[])